<?php
/**
 * Button.
 *
 * @package MadeByAura\Prime\Modules
 * @author  MadeByAura.com
 */

namespace MadeByAura\Prime\Modules;

defined( 'ABSPATH' ) || die();

/**
 * Button.
 */
class Button {
	/**
	 * Get types
	 *
	 * @return array $types
	 */
	public static function get_types() {
		static $types;

		if ( ! $types ) {
			$types = [
				'1' => esc_attr__( 'One', 'aura-prime' ),
				'2' => esc_attr__( 'Two', 'aura-prime' ),
				'3' => esc_attr__( 'Three', 'aura-prime' ),
				'4' => esc_attr__( 'Four', 'aura-prime' ),
				'5' => esc_attr__( 'Five', 'aura-prime' ),
				'6' => esc_attr__( 'Six', 'aura-prime' ),
				'7' => esc_attr__( 'Seven', 'aura-prime' ),
			];
		}

		return $types;
	}

	/**
	 * Get types
	 *
	 * @param array $selectors  Selectors.
	 * @return array $result
	 */
	public static function get_elementor_selectors( $selectors ) {
		$result = [];

		foreach ( self::get_types() as $id => $label ) {
			foreach ( $selectors as $property => $value ) {
				$result[] = "--aura-g-button-{$id}-{$property}: $value";
			}
		}

		return implode( ';', $result );
	}
}
